from pydantic import BaseModel, Field
from typing import Optional


class HistoryResultSchema(BaseModel):
    quiz_id: str = Field(..., description="ID dari kuis")
    answer_id: str = Field(..., description="ID dari jawaban")
    title: str = Field(..., description="Judul kuis")
    description: Optional[str] = Field(None, description="Deskripsi kuis")
    total_correct: int = Field(..., description="Jumlah jawaban benar")
    total_question: int = Field(..., description="Total soal dalam kuis")
    date: str
